Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::MemTraits< GlobalMem > Struct Reference

`#include <GPUMemInfo.h>`

## Public Types

using | MemInfoType = GlobalMem
using | Accumulator = GlobalAccessAccumulator

## Static Public Attributes

static constexpr double | bytes_per_transaction = 32

## Detailed Description

Definition at line 31 of file GPUMemInfo.h.

## Member Typedef Documentation

## MemInfoType

using Halide::Internal::Autoscheduler::MemTraits< GlobalMem >::MemInfoType = GlobalMem

Definition at line 33 of file GPUMemInfo.h.

## Accumulator

using Halide::Internal::Autoscheduler::MemTraits< GlobalMem >::Accumulator = GlobalAccessAccumulator

Definition at line 34 of file GPUMemInfo.h.

## Member Data Documentation

## bytes_per_transaction

double Halide::Internal::Autoscheduler::MemTraits< GlobalMem >::bytes_per_transaction = 32

static constexpr

Definition at line 32 of file GPUMemInfo.h.

The documentation for this struct was generated from the following file:

- src/autoschedulers/anderson2021/GPUMemInfo.h